Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RectangleDraw Class Reference

Describes a rectangle drawn by the user. More...

`#include <rectangledraw.h>`

Inherits QGraphicsRectItem.

## Public Member Functions
| RectangleDraw ()
| The constructor of the RectangleDraw class.
virtual int | getId () const
| Returns the rectangle ID. More...
virtual void | setId (int id)
| Sets the rectangle id. More...
virtual QPointF | getPoint () const
| Returns the Top-Left point coordinates. More...
virtual void | setPoint (QPointF point)
| Sets the Top-Left point coordinates. More...
virtual QString | getLineNumber () const
| Returns the line number inserted by the user. More...
virtual void | setLineNumber (QString lineNumber)
| Sets the line number inserted by the user. More...
virtual void | setWordNumber (QString word)
| Sets the word number inserted by the user. More...
virtual QString | getWordNumber () const
| Returns the word number inserted by the user. More...
virtual QString | getAnnotation () const
| Returns the comment inserted by the user. More...
virtual QPointF | getTopRight ()
| Returns Top-Right point coordinates. More...
virtual void | setTopRight (QPointF point)
| Sets the Top-Right point coordinates. More...
virtual QPointF | getBottomRight ()
| Returns the Bottom-Right point coordinates. More...
virtual void | setBottomRight (QPointF point)
| Sets Bottom-Right point coordinates. More...
virtual QPointF | getBottomLeft ()
| Returns the Bottom-Left point coordianates. More...
virtual void | setBottomLeft (QPointF point)
| Sets the Bottom-Left point coordinates. More...
virtual void | setAnnotation (QString annotation)
| Sets the comment inserted by the user. More...
virtual QGraphicsPixmapItem * | getItem () const
| Returns the little icon which indicates if the rectangle has been annotated or not. More...
virtual void | setItem (QGraphicsPixmapItem *item)
| Sets the little icon which indicats if the user has annotatted the rectangle. More...
virtual void | adjustSize (int x, int y)
| Deprecated method. Will be remove in a future release.
virtual void | setRectF (QRectF rect)
| Sets the rectangle coordinates. More...
virtual QRectF | getRectF () const
| Returns the rectangle coordinates. More...
virtual void | setCheckDelete (bool checkDelete_1)
| Sets the state of the variable checking if the user wants to delete the rectangel. More...
virtual bool | getCheckDelete () const
| Check if the user wants to delete the rectangle or not. More...

## Detailed Description

Describes a rectangle drawn by the user.

The RectangleDraw class implements the different graphical and mathematical elements that describe a rectangle drawn by the user.

Author
  David Carmona-Moreno

Version
  1.0

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs.

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Member Function Documentation

QString RectangleDraw::getAnnotation | ( |  | ) | const
| virtual

Returns the comment inserted by the user.

Returns
  The comment

QPointF RectangleDraw::getBottomLeft | ( |  | ) |
| virtual

Returns the Bottom-Left point coordianates.

Returns
  The Bottom-Left point coordinates

QPointF RectangleDraw::getBottomRight | ( |  | ) |
| virtual

Returns the Bottom-Right point coordinates.

Returns
  The Bottom-Right point coordinates

bool RectangleDraw::getCheckDelete | ( |  | ) | const
| virtual

Check if the user wants to delete the rectangle or not.

Returns
  True if the user wants to delete the rectangle and false if not

int RectangleDraw::getId | ( |  | ) | const
| virtual

Returns the rectangle ID.

Returns
  The rectangle ID

QGraphicsPixmapItem * RectangleDraw::getItem | ( |  | ) | const
| virtual

Returns the little icon which indicates if the rectangle has been annotated or not.

Returns
  The little icon

QString RectangleDraw::getLineNumber | ( |  | ) | const
| virtual

Returns the line number inserted by the user.

Returns
  The line number

QPointF RectangleDraw::getPoint | ( |  | ) | const
| virtual

Returns the Top-Left point coordinates.

Returns
  The Top-Left point coordinates

QRectF RectangleDraw::getRectF | ( |  | ) | const
| virtual

Returns the rectangle coordinates.

Returns
  The rectangle coordinates

QPointF RectangleDraw::getTopRight | ( |  | ) |
| virtual

Returns Top-Right point coordinates.

Returns
  The Top-Right point coordinates

QString RectangleDraw::getWordNumber | ( |  | ) | const
| virtual

Returns the word number inserted by the user.

Returns
  The word number

void RectangleDraw::setAnnotation | ( | QString | annotation | ) |
| virtual

Sets the comment inserted by the user.

Parameters

  annotation | The comment

void RectangleDraw::setBottomLeft | ( | QPointF | point | ) |
| virtual

Sets the Bottom-Left point coordinates.

Parameters

  point | The Bottom-Left point coordinates

void RectangleDraw::setBottomRight | ( | QPointF | point | ) |
| virtual

Sets Bottom-Right point coordinates.

Parameters

  point | The Bottom-Right point coordinates

void RectangleDraw::setCheckDelete | ( | bool | checkDelete_1 | ) |
| virtual

Sets the state of the variable checking if the user wants to delete the rectangel.

Parameters

  checkDelete_1 | The state of the variable (true or false)

void RectangleDraw::setId | ( | int | id | ) |
| virtual

Sets the rectangle id.

Parameters

  id | The rectangle id

void RectangleDraw::setItem | ( | QGraphicsPixmapItem * | item | ) |
| virtual

Sets the little icon which indicats if the user has annotatted the rectangle.

Parameters

  item | The item

void RectangleDraw::setLineNumber | ( | QString | lineNumber | ) |
| virtual

Sets the line number inserted by the user.

Parameters

  lineNumber | The line number inserted by the user

void RectangleDraw::setPoint | ( | QPointF | point | ) |
| virtual

Sets the Top-Left point coordinates.

Parameters

  point | The Top-Left point coordinates

void RectangleDraw::setRectF | ( | QRectF | rect | ) |
| virtual

Sets the rectangle coordinates.

Parameters

  rect | The rectangle coordinates

void RectangleDraw::setTopRight | ( | QPointF | point | ) |
| virtual

Sets the Top-Right point coordinates.

Parameters

  point | The Top-Right point coordinates

void RectangleDraw::setWordNumber | ( | QString | word | ) |
| virtual

Sets the word number inserted by the user.

Parameters

  word | The word number inserted by the user

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/rectangledraw.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/rectangledraw.cpp